import math
import distutils.version

from wizard import app, command, deploy, util

def main(argv, baton):
    options, str_show = parse_args(argv, baton)
    variants = set()
    counter = util.Counter()
    for d in deploy.parse_install_lines('trac', options.versions_path):
        try:
            counter.count(d.read('trac.fcgi'))
        except IOError:
            pass
    for k in counter:
        print "%08x: %d" % (hash(k), counter[k])
    print "----"
    for k in counter:
        print "%08x:\n%s" % (hash(k), k)
        print "----\n"

def parse_args(argv, baton):
    usage = """usage: %prog summary trac [ARGS]

Figures out what version the Trac stubs are."""
    parser = command.WizardOptionParser(usage)
    baton.push(parser, "versions_path")
    options, args = parser.parse_all(argv)
    if len(args) > 1:
        parser.error("too many arguments")
    return options, args

